Page MenuHomePhabricator

Remove link appearance of "More languages" in absence of CSR
Closed, ResolvedPublic3 Story Points

Description

As a user without enabled JS
I want to be presented only with interactive user interface elements that suggest an interactive nature (links, buttons) which actually do have an implemented behavior in the server side
so that a consistent browsing experience is achieved and I am not frustrated by a lack of feature.

AC

  • the "in more languages" link is not a link in absence of CSR, but just a title. This means, that
    • hovering does not result in any response by the browser
    • there is no arrow sign in the interactive side bar

Event Timeline

Lea_WMDE created this task.Jan 23 2019, 3:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2019, 3:01 PM
Lea_WMDE triaged this task as Normal priority.Jan 30 2019, 3:22 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 3.
Jakob_WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-8 board.

Change 487507 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Remove link appearance from "in more languages" button when SSRed

https://gerrit.wikimedia.org/r/487507

Change 487853 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[wikibase/termbox@master] toggleButton: unclickable as another modification

https://gerrit.wikimedia.org/r/487853

Change 487507 merged by jenkins-bot:
[wikibase/termbox@master] Remove link appearance from "in more languages" button when SSRed

https://gerrit.wikimedia.org/r/487507

Change 487853 merged by jenkins-bot:
[wikibase/termbox@master] toggleButton: unclickable as another modification

https://gerrit.wikimedia.org/r/487853

Change 488018 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] termbox: update to latest

https://gerrit.wikimedia.org/r/488018

Change 488018 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] termbox: update to latest

https://gerrit.wikimedia.org/r/488018

Jakob_WMDE removed Jakob_WMDE as the assignee of this task.Feb 5 2019, 1:04 PM
Jakob_WMDE added a subscriber: Jakob_WMDE.

Change 488898 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] termbox: update to latest

https://gerrit.wikimedia.org/r/488898

Change 488898 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] termbox: update to latest

https://gerrit.wikimedia.org/r/488898

@Jakob_WMDE Currently if js is disabled, you only see the devider with "In other languages" but no entries at all. Shouldn't this section be expanded? Otherwise there would be no need for this, right?

Hanna_Petruschat_WMDE added a comment.EditedFeb 7 2019, 4:48 PM

Sorry, I tested in English, apparently it does what it's supposed to do in German...

See:
English

German

Yup, that's what the old Termbox does as well. It just looks slightly less silly because English appears both in the title and the box below.


I don't think this has much to do with this ticket, though. If ever, we need an additional ticket handling the case of an empty "more languages" section, which can only occur in the js-disabled case, I believe.

Agreed. I created an extra ticket to cover that issue. You can find it here T215538

Lea_WMDE closed this task as Resolved.Feb 8 2019, 10:16 AM
Lea_WMDE claimed this task.
Lea_WMDE moved this task from Test (Product Review) to Done on the Wikidata-Termbox-Iteration-8 board.